NumberProperty.PositiveIntegerMaker (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.fo.properties

## Class NumberProperty.PositiveIntegerMaker

- java.lang.Object
- - org.apache.fop.fo.properties.PropertyMaker
  - - org.apache.fop.fo.properties.NumberProperty.PositiveIntegerMaker

- All Implemented Interfaces:
    java.lang.Cloneable
  Enclosing class:
    NumberProperty

      public static class NumberProperty.PositiveIntegerMaker
      extends PropertyMaker

  A positive integer property maker.

- - ### Field Summary

    - ### Fields inherited from class org.apache.fop.fo.properties.PropertyMaker

      `contextDep, corresponding, defaultProperty, defaultValue, propId, setByShorthand`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PositiveIntegerMaker(int propId)` Constructor for NumberProperty.PositiveIntegerMaker

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Property` | `convertProperty(Property p, PropertyList propertyList, FObj fo)` If the value is not positive, return a property with value 1 Return a Property object based on the passed Property object.

    - ### Methods inherited from class org.apache.fop.fo.properties.PropertyMaker

      `addEnum, addKeyword, addShorthand, addSubpropMaker, checkEnumValues, checkValueKeywords, clone, compute, convertPropertyDatatype, convertShorthandProperty, findProperty, get, getName, getPercentBase, getPropId, getShorthand, getSubprop, getSubpropMaker, isInherited, make, make, make, makeNewProperty, setByShorthand, setCorresponding, setDatatypeParser, setDefault, setDefault, setInherited, setPercentBase, setSubprop, useGeneric`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PositiveIntegerMaker

          public PositiveIntegerMaker(int propId)

      Constructor for NumberProperty.PositiveIntegerMaker
      Parameters:
        `propId` - the id of the property for which a PositiveIntegerMaker should be created

  - ### Method Detail

    - #### convertProperty

          public Property convertProperty(Property p,
                                          PropertyList propertyList,
                                          FObj fo)
                                   throws PropertyException

      If the value is not positive, return a property with value 1 Return a Property object based on the passed Property object. This method is called if the Property object built by the parser isn't the right type for this property. It is overridden by subclasses.
      Overrides:
        `convertProperty` in class `PropertyMaker`
      Parameters:
        `p` - The Property object return by the expression parser
        `propertyList` - The PropertyList object being built for this FO.
        `fo` - The parent FO for the FO whose property is being made.
      Returns:
        A Property of the correct type or null if the parsed value can't be converted to the correct type.
      Throws:
        `PropertyException` - for invalid or inconsistent FO input

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.